#ifndef TIMER_H_
#define TIMER_H_

#include <stdbool.h>

//////////////////////////////////// Functions

// Function to initialize the timer peripheral
void SetupTimer(void);

// The return value of this function shows whether a second has elapsed in the timer peripheral
// false: it hasn't elapsed
// true: one second has elapsed
bool CheckIfSecondElapsed(void);

#endif /* TIMER_H_ */